{% extends "layout.html" %}
{% block content %}
{% if current_user.is_authenticated %}
    {% for task in tasks %}
        <article class="media content-section" style="border-radius: 20px">
          <img class="rounded-circle article-img" src="{{ url_for('static', filename='profile_pics/' + task.author.image_file) }}" ></img>
          <div class="media-body">
            <div class="article-metadata">
              <a class="mr-2" href="#">{{ task.author.username }}</a>
              <small class="text-muted">{{ task.date_posted.strftime('%Y-%m-%d') }}</small>
            </div>
            <h2><a class="article-title" href="{{ url_for('task', task_id=task.id) }}">{{ task.title }}</a></h2>
            <p class="article-content">{{ task.content }}</p>
          </div>
        </article>
    {% endfor %}
{% endif %}
{% endblock content %}